Obter Empresa
curl --request GET \
--url https://api.spedy.com.br/v1/companies/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.spedy.com.br/v1/companies/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.spedy.com.br/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"legalName": "<string>",
"federalTaxNumber": "<string>",
"stateTaxNumber": "<string>",
"cityTaxNumber": "<string>",
"email": "<string>",
"phone": "<string>",
"mobilePhone": "<string>",
"address": {
"street": "<string>",
"district": "<string>",
"postalCode": "<string>",
"number": "<string>",
"additionalInformation": "<string>",
"city": {
"code": "<string>",
"name": "<string>",
"state": "ro"
},
"country": {
"name": "<string>",
"code": 123
},
"cityName": "<string>"
},
"taxRegime": "simplesNacional",
"specialTaxRegime": "municipalMicroenterprise",
"simplesNacionalTaxRegime": "federalAndMunicipalBySimplesNacional",
"apiCredentials": {
"apiKey": "<string>"
},
"economicActivities": [
{
"code": "<string>",
"type": "main"
}
]
}Empresas
Obter Empresa
GET
/
v1
/
companies
/
{id}
Obter Empresa
Authorizations
Authorization By X-Api-Key inside request's header
Path Parameters
Response
Success
Nome fantasia
Razão Social
CNPJ
Inscrição Estadual
Inscrição Municipal
Telefone
Celular
Endereço
Show child attributes
Show child attributes
CRT
Valores possíveis:
- simplesNacional: Simples Nacional
- simplesNacionalExcessoSublimite: Simples Nacional — Excesso de sublimite de receita bruta
- regimeNormal: Regime Normal (Lucro Presumido ou Lucro Real)
- simplesNacionalMEI: Simples Nacional — MEI
Available options:
simplesNacional, simplesNacionalExcessoSublimite, regimeNormal, simplesNacionalMEI Regime Especial
Valores possíveis:
- municipalMicroenterprise: 1 – Microempresa Municipal
- estimate: 2 – Estimativa
- societyOfProfessionals: 3 – Sociedade de Profissionais
- cooperative: 4 – Cooperativa
- individualMicroenterprise: 5 – Microempresário Individual (MEI)
- microenterpriseAndSmallBusiness: 6 – Microempresário e Empresa de Pequeno Porte (ME EPP)
- noSpecialRegime: 7 - Sem Regime Especial
- others: 8 - Outros
Available options:
municipalMicroenterprise, estimate, societyOfProfessionals, cooperative, individualMicroenterprise, microenterpriseAndSmallBusiness, noSpecialRegime, others Regime de Apuração dos Tributos do Simples Nacional
Valores possíveis:
- federalAndMunicipalBySimplesNacional: Regime de apuração dos tributos federais e municipal pelo Simples Nacional
- federalBySimplesAndIssqnByNfse: Regime de apuração dos tributos federais pelo Simples Nacional e o ISSQN pela NFS-e conforme legislação municipal
- federalAndMunicipalByNfse: Regime de apuração dos tributos federais e municipal pela NFS-e conforme legislações federal e municipal
Available options:
federalAndMunicipalBySimplesNacional, federalBySimplesAndIssqnByNfse, federalAndMunicipalByNfse Credenciais da API
Show child attributes
Show child attributes
Atividades econômicas (CNAE)
Show child attributes
Show child attributes